## Debugging Debugging — Debugging utilities |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <mcd-debug.h>

    void                mcd_debug_init                      (void);
    gpointer            mcd_debug_ref                       (gpointer obj,
                                                             const gchar *filename,
                                                             gint linenum);
    void                mcd_debug_unref                     (gpointer obj,
                                                             const gchar *filename,
                                                             gint linenum);
    void                mcd_debug_print_tree                (gpointer obj);

## Description

FIXME

## Details

### mcd_debug_init ()

    void                mcd_debug_init                      (void);

### mcd_debug_ref ()

    gpointer            mcd_debug_ref                       (gpointer obj,
                                                             const gchar *filename,
                                                             gint linenum);

`obj` : |
`filename` : |
`linenum` : |
Returns : |

### mcd_debug_unref ()

    void                mcd_debug_unref                     (gpointer obj,
                                                             const gchar *filename,
                                                             gint linenum);

`obj` : |
`filename` : |
`linenum` : |

### mcd_debug_print_tree ()

    void                mcd_debug_print_tree                (gpointer obj);

`obj` : |